//
//  SessionGetManualUrl.swift
//  Sailassist
//
//  Created by Mamoru Sugita on 2023/12/15.
//

import Foundation

class SessionGetManualUrl: ServerSession{
    /**
     * マニュアル類のURL取得
     */
    func getManualUrl(_ completion: @escaping ((Result<Data, APIError>)) -> Void) {
        print(debug: "calld")
        // リクエストURLの組み立て
        let url_string = HttpRequestType.GetManualUrl.rawValue
        guard let req_url = URL(string : url_string) else {
            return
        }
        getJson(req_url, completion: completion)
    }
}
